System.ServiceModel 4.0.0.0 System.ServiceModel.EndpointIdentity To be added.

Represents a certificate identity for the service endpoint. Clients that attempt to communicate with that service endpoint should authenticate the service based on the certificate provided in the endpoint identity.

- Constructor
  4.0.0.0
  To be added.

  The is added to a collection of certificates.

  Initializes a new instance of a class using an existing certificate.

- Constructor
  4.0.0.0

  The and are added to a collection of certificates.

  Initializes a new instance of the class using the primary (leaf) certificate and certificates that are part of its trust chain.

  The primary certificate representing the service's identity.
  The certificates that are part of the trust chain of the primary certificate.
- Property
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2Collection To be added.

  This collection contains the used to create the as well as any .

  Gets the collection of certificates for this identity.